package cokr.xit.fims.cmmn;

/**단속 상태 이력 정보 조회 요청
*
* <p>상세 설명:
*
* <pre>
* ============ 변경 이력 ============
* 2023-07-19	JoJH 최초 작성
* ================================
* </pre>
*/
public class CrdnSttsHstryQuery extends CmmnQuery {

	private static final long serialVersionUID = 1L;

	private String sttsHstryId;													// 상태 이력 ID
	private String crdnId;														// 단속 ID
	private String crdnSttsCd;													// 단속 상태 코드
	private String taskDtlId;													// 업무 상세 ID
	private String useYn;														// 사용 여부

	public String getSttsHstryId() {
		return ifEmpty(sttsHstryId, () -> null);
	}

	public <T extends CrdnSttsHstryQuery> T setSttsHstryId(String sttsHstryId) {
		this.sttsHstryId = sttsHstryId;

		return self();
	}

	public String getCrdnId() {
		return ifEmpty(crdnId, () -> null);
	}

	public <T extends CrdnSttsHstryQuery> T setCrdnId(String crdnId) {
		this.crdnId = crdnId;

		return self();
	}

	public String getCrdnSttsCd() {
		return ifEmpty(crdnSttsCd, () -> null);
	}

	public <T extends CrdnSttsHstryQuery> T setCrdnSttsCd(String crdnSttsCd) {
		this.crdnSttsCd = crdnSttsCd;

		return self();
	}

	public String getTaskDtlId() {
		return ifEmpty(taskDtlId, () -> null);
	}

	public <T extends CrdnSttsHstryQuery> T setTaskDtlId(String taskDtlId) {
		this.taskDtlId = taskDtlId;

		return self();
	}

	public String getUseYn() {
		return ifEmpty(useYn, () -> null);
	}

	public <T extends CrdnSttsHstryQuery> T setUseYn(String useYn) {
		this.useYn = useYn;

		return self();
	}

}
